> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/customer-myaccount/2checkout-customer-myaccount/products-and-subscriptions-listing-query-parameters.md).

# Products and subscriptions listing query parameters

## Overview

2Checkout offers query parameters to enable you to manage the listing of products / [subscriptions](https://docs.2checkout.com/subscriptions/) in the My Products page of your shoppers' myAccount.&#x20;

## Availability

All 2Checkout accounts. myAccount users can apply filters to manage the listing of their products / subscriptions.&#x20;

## Parameters

| Parameter          | Description                                                                                                                                                                                                                                                                                                              |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `SubscriptionType` | <ul><li>All (default)</li><li>Non-recurring: displays products that are purchased with the <strong>lifetime</strong> option and items for which 2Checkout does not generate a subscription (evergreen/one-time purchase)</li><li>Recurring: displays only renewing subscriptions, both manual and auto-renewal</li></ul> |
| `OrderBy`          | `ExpirationDate`. Used in combination with the `OrderByType` parameter.                                                                                                                                                                                                                                                  |
| `OrderByType`      | <p>Possible values: asc or desc. </p><p>Used in combination with the <code>OrderBy</code> parameter. 2Checkout displays either last subscriptions to expire first, or the first to expire at the top of the page.</p>                                                                                                    |

### Example

```
https://secure.2checkout.com/myaccount/my_products/?OrderBy=ExpirationDate&SubscriptionType=all&OrderByType=asc
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/customer-myaccount/2checkout-customer-myaccount/products-and-subscriptions-listing-query-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
